<template>
  <ul class="navbar__nav">

    <li>
        <RouterLink :to="t('routes.inscription.path')" class="navbar__navlink">{{ t('routes.inscription.name')}}</RouterLink>
    </li>
    <li>
      <Subnav :routeKey="'admin'"/>
    </li>
    <li>
      <button class="navbar__navlink" @click="logout">{{ t('global.logout') }}</button>
    </li>
  </ul>
</template>

<script lang="ts" setup>
import { useI18n } from "vue3-i18n";
import Subnav from "./Subnav.vue";

const {t} = useI18n()

function logout() {
  window.location.replace("/Authentication/Logout/")
}
</script>
